//=====================================================================
//	INCLUDES
//=====================================================================
//
#ifndef TRIANGLE_H
#define TRIANGLE_H
//---------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Buttons.hpp>

#include <vcl\Menus.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Dialogs.hpp>


//=====================================================================
// Klassendeklaration
//=====================================================================
//
class TOuterForm : public TForm
{
	__published:	// IDE-verwaltete Komponenten

		TMainMenu *MainMenu1;
		TMenuItem *Programm1;
		TMenuItem *N1;
        TMenuItem *ProgrammStop1;
		void __fastcall ProgrammStop1Click(TObject *Sender);

 public:				// Benutzer-Deklarationen
		__fastcall TOuterForm(TComponent* Owner);
		__fastcall ~TOuterForm();

	private:			// Benutzer-Deklarationen
   virtual void __fastcall Paint();
   virtual void __fastcall Resize();
	          void __fastcall GetOpenGLRC();
           void __fastcall GLNewDraw();

   HDC        	  winDeviceContext;	       // device context
   HGLRC      	  glRenderingContext;	     // opengl rendering context

   boolean       OpenGLCap, doubleBuffer; // OpenGL-Faehigkeit
   boolean       readyToDraw;
};

//=====================================================================
// speziell fuer den C++Builder
//
//---------------------------------------------------------------------
extern TOuterForm *OuterForm;

//=====================================================================
#endif // TRIANGLE_H

